CVE-2018-20433

NameCVE-2018-20433
Descriptionc3p0 0.9.5.2 allows XXE in extractXmlConfigFromInputStream in com/mchange/v2/c3p0/cfg/C3P0ConfigXmlUtils.java during initialization.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1621-1
NVD severityhigh (attack range: remote)
Debian Bugs917257

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
c3p0 (PTS)jessie0.9.1.2-9vulnerable
jessie (security)0.9.1.2-9+deb8u1fixed
stretch0.9.1.2-9+deb9u1fixed
buster, sid0.9.1.2-10fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
c3p0source(unstable)0.9.1.2-10high917257
c3p0sourcejessie0.9.1.2-9+deb8u1highDLA-1621-1
c3p0sourcestretch0.9.1.2-9+deb9u1high

Notes

https://github.com/swaldman/c3p0/commit/7dfdda63f42759a5ec9b63d725b7412f74adb3e1

Search for package or bug name: Reporting problems